import eq from "./eq.mjs";
import isArrayLike from "./isArrayLike.mjs";
import isIndex from "./_isIndex.mjs";
import isObject from "./isObject.mjs";
function isIterateeCall(value, index, object) {
  if (!isObject(object)) {
    return false;
  }
  var type = typeof index;
  if (type == "number" ? isArrayLike(object) && isIndex(index, object.length) : type == "string" && index in object) {
    return eq(object[index], value);
  }
  return false;
}
export {
  isIterateeCall as default
};
